## Function `sequence( n, start, step )`

Description:
  Returns a floating point array of a given length with values starting at a given value and increasing with a given increment.

  See also the `loop` functions, which provide similar functionality.

Parameters:
  `n` (integer)
    length of array
  `start` (floating point)
    value of first element
  `step` (floating point)
    increment to apply to each element

Return Value (array of floating point):
  `n`-element array, (start, start+step, start+2*step, ... start+(n-1)*step)

Example:
  `sequence(4, 100, 0.1) = (100.0, 100.1, 100.2, 100.3)`

Signature:
  `double[] sequence(int, double, double)`